package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingFullrangeCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaHmMarketingFullrangeCreateactivityFullRangeActivity `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingFullrangeCreateactivityRequest) SetParam(v domain.AlibabaHmMarketingFullrangeCreateactivityFullRangeActivity) *AlibabaHmMarketingFullrangeCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingFullrangeCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingFullrangeCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
